# AppFlowy UI

AppFlowy UI is a Flutter package that provides a collection of reusable UI components following the AppFlowy design system. These components are designed to be consistent, accessible, and easy to use.

## Features

- **Design System Components**: Buttons, text fields, and more UI components that follow the AppFlowy design system
- **Theming**: Consistent theming across all components with light and dark mode support

## Installation

Add the following to your `pubspec.yaml` file:

```yaml
dependencies:
  appflowy_ui: ^1.0.0
```

## Supported components

- [x] Button
- [x] TextField
- [ ] Avatar
- [ ] Checkbox
- [ ] Grid
- [ ] Link
- [ ] Loading & Progress Indicator
- [ ] Menu
- [ ] Message Box
- [ ] Navigation Bar
- [ ] Popover
- [ ] Scroll Bar
- [ ] Tab Bar
- [ ] Toggle
- [ ] Tooltip

## Reference

Figma: https://www.figma.com/design/aphWa2OgkqyIragpatdk7a/Design-System
